Skip to main content
POST
Verify domain

Authorizations

Authorization
string
header
required

Your API key: Authorization: Bearer urldn_live_...

Path Parameters

id
string
required
Pattern: ^[a-f0-9]{24}$

Response

The domain and what the check found

id
string
required
domain
string
required
Example:

"links.mybrand.com"

state
enum<string>
required
Available options:
dns_pending,
dns_failed,
dns_broken,
ssl_issuing,
active
verified
boolean
required
sslStatus
enum<string>
required
Available options:
pending,
active,
failed,
broken
isApex
boolean
required

True for a two-part domain such as mybrand.com

dnsRecords
object[]
required

The records to add at your DNS provider. Names are full names.

verificationExpiresAt
string<date-time> | null
required
lastVerified
string<date-time> | null
required
createdAt
string<date-time>
required
checks
object
required
message
string
required